Package org.opengis.cite.iso19142.versioning

# Class FeatureVersioning

java.lang.Object
org.opengis.cite.iso19142.versioning.FeatureVersioning

public class FeatureVersioning extends Object
Checks preconditions for running tests to verify that the IUT satisfies the requirements of the Feature versions conformance class. All tests are skipped if any preconditions are not met. The implementation constraints "ImplementsFeatureVersioning" and "ImplementsVersionNav" (FES) must be set to "TRUE" in the capabilities document.

     <OperationsMetadata xmlns="http://www.opengis.net/ows/1.1">
       <Constraint name="ImplementsFeatureVersioning">
         <AllowedValues>
           <Value>TRUE</Value>
         </AllowedValues>
       </Constraint>
     </OperationsMetadata>

See Also:
  - ATC A.1.14: Feature versions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPL_FEATURE_VERSIONING`
  `static final String`
  `IMPL_VERSION_NAV`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureVersioning()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `implementsFeatureVersioning(org.testng.ITestContext testContext)`
  This @BeforeTest configuration method checks the implementation status of the "ImplementsFeatureVersioning" and "ImplementsVersionNav" (FES) conformance classes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPL_FEATURE_VERSIONING

    public static final String IMPL_FEATURE_VERSIONING
    See Also:
      - Constant Field Values

  - ### IMPL_VERSION_NAV

    public static final String IMPL_VERSION_NAV
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FeatureVersioning

    public FeatureVersioning()

- ## Method Details

  - ### implementsFeatureVersioning

    @BeforeTest public void implementsFeatureVersioning(org.testng.ITestContext testContext)
    This @BeforeTest configuration method checks the implementation status of the "ImplementsFeatureVersioning" and "ImplementsVersionNav" (FES) conformance classes.
    Parameters:
      `testContext` - Information about the test run environment.